Retrieves the review quota limits and sliding-window usage for the authenticated caller.
HTTP request
GET https://deepreview.googleapis.com/v1/{name=userQuota}
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
name |
Required. The resource name of the singleton user quota to retrieve. It takes the form |
Request body
The request body must be empty.
Response body
Singleton resource representing the authenticated caller's review quota limits and sliding-window usage.
If successful, the response body contains data with the following structure:
| JSON representation |
|---|
{ "name": string, "maxReviewCountPerWeek": integer, "usedReviewCount": integer, "remainingReviewCount": integer, "customLimitEnabled": boolean, "nextAvailableTime": string } |
| Fields | |
|---|---|
name |
Identifier. Resource name of the singleton user quota ( |
maxReviewCountPerWeek |
Output only. Maximum free-tier reviews allowed per rolling 7-day window. |
usedReviewCount |
Output only. Number of free-tier reviews used in the past 7 days. |
remainingReviewCount |
Output only. Remaining free-tier reviews available in the current rolling 7-day window ( |
customLimitEnabled |
Output only. Whether a custom per-user quota override is active for this user. |
nextAvailableTime |
Output only. Timestamp when the next review quota slot becomes available if Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: |
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/drive.filehttps://www.googleapis.com/auth/cloud-platform
For more information, see the OAuth 2.0 Overview.